Package org.snpeff.vcf

# Class VcfHeaderInfo

java.lang.Object
org.snpeff.vcf.VcfHeaderEntry
org.snpeff.vcf.VcfHeaderInfo

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `VcfHeaderFormat`

public class VcfHeaderInfo extends VcfHeaderEntry
Represents a info elements in a VCF file References: http://www.1000genomes.org/wiki/Analysis/Variant%20Call%20Format/vcf-variant-call-format-version-41 INFO fields should be described as follows (all keys are required): ##INFO=invalid input: '<'ID=ID,Number=number,Type=type,Description=description> Possible Types for INFO fields are: Integer, Float, Flag, Character, and String. The Number entry is an Integer that describes the number of values that can be included with the INFO field. For example, if the INFO field contains a single number, then this value should be 1; if the INFO field describes a pair of numbers, then this value should be 2 and so on. If the field has one value per alternate allele then this value should be 'A'; if the field has one value for each possible genotype (more relevant to the FORMAT tags) then this value should be 'G'. If the number of possible values varies, is unknown, or is unbounded, then this value should be '.'. The 'Flag' type indicates that the INFO field does not contain a Value entry, and hence the Number should be 0 in this case. The Description value must be surrounded by double-quotes. Double-quote character can be escaped with backslash (\") and backslash as \\.

Author:
  pablocingolani
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`VcfHeaderInfo.VcfInfoNumber`
Number of values in an INFO field.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`description`
`protected boolean`
`implicit`
`protected int`
`number`
`protected VcfHeaderInfo.VcfInfoNumber`
`vcfInfoNumber`
`protected VcfInfoType`
`vcfInfoType`

### Fields inherited from class org.snpeff.vcf.VcfHeaderEntry

`id, line`

## Constructor Summary

Constructors
Constructor
Description
`VcfHeaderInfo(String line)`
Constructor using a "##INFO" line from a VCF file
`VcfHeaderInfo(String id, VcfInfoType vcfInfoType, String number, String description)`
`VcfHeaderInfo(VcfHeaderInfo header)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
`int`
`getNumber()`
`String`
`getNumberString()`
`VcfHeaderInfo.VcfInfoNumber`
`getVcfInfoNumber()`
`VcfInfoType`
`getVcfInfoType()`
`boolean`
`isImplicit()`
`boolean`
`isInfo()`
`boolean`
`isNumberAllAlleles()`
`boolean`
`isNumberNumber()`
`boolean`
`isNumberOnePerAllele()`
`boolean`
`isNumberOnePerGenotype()`
`boolean`
`isNumberPerAllele()`
`void`
`setImplicit(boolean implicit)`
`void`
`setNumber(int number)`
`void`
`setNumber(String number)`
`void`
`setVcfInfoNumber(VcfHeaderInfo.VcfInfoNumber vcfInfoNumber)`
`void`
`setVcfInfoType(VcfInfoType vcfInfoType)`
`String`
`toString()`

### Methods inherited from class org.snpeff.vcf.VcfHeaderEntry

`factory, getId, isFormat, setId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### number

protected int number

### implicit

protected boolean implicit

### vcfInfoNumber

protected VcfHeaderInfo.VcfInfoNumber vcfInfoNumber

### vcfInfoType

protected VcfInfoType vcfInfoType

### description

protected String description

## Constructor Details

### VcfHeaderInfo

public VcfHeaderInfo(String line)
Constructor using a "##INFO" line from a VCF file

### VcfHeaderInfo

public VcfHeaderInfo(String id, VcfInfoType vcfInfoType, String number, String description)

### VcfHeaderInfo

public VcfHeaderInfo(VcfHeaderInfo header)

## Method Details

### getDescription

public String getDescription()

### getNumber

public int getNumber()

### getNumberString

public String getNumberString()

### getVcfInfoNumber

public VcfHeaderInfo.VcfInfoNumber getVcfInfoNumber()

### getVcfInfoType

public VcfInfoType getVcfInfoType()

### isImplicit

public boolean isImplicit()

### isInfo

public boolean isInfo()

Overrides:
  `isInfo` in class `VcfHeaderEntry`

### isNumberAllAlleles

public boolean isNumberAllAlleles()

### isNumberNumber

public boolean isNumberNumber()

### isNumberOnePerAllele

public boolean isNumberOnePerAllele()

### isNumberOnePerGenotype

public boolean isNumberOnePerGenotype()

### isNumberPerAllele

public boolean isNumberPerAllele()

### setImplicit

public void setImplicit(boolean implicit)

### setNumber

public void setNumber(int number)

### setNumber

public void setNumber(String number)

### setVcfInfoNumber

public void setVcfInfoNumber(VcfHeaderInfo.VcfInfoNumber vcfInfoNumber)

### setVcfInfoType

public void setVcfInfoType(VcfInfoType vcfInfoType)

### toString

public String toString()

Overrides:
  `toString` in class `VcfHeaderEntry`